//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
/*
  
*/
#property copyright ""
#property link      ""
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Aqua
//----
double CrossUp[];
double CrossDown[];
extern int period = 3;
extern int ma_method = 3;
extern int CountedBars = 3;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0, DRAW_ARROW,0,0);
   SetIndexArrow(0, 241);
   SetIndexBuffer(0, CrossUp);
   SetIndexStyle(1, DRAW_ARROW,0,0);
   SetIndexArrow(1, 242);
   SetIndexBuffer(1, CrossDown);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
  int start() 
  {
   int limit, i, counter;
   double Range, AvgRange;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
//----
   limit=CountedBars;
//----
     for(i=0; i<=limit; i++) 
     {
      counter=i;
      Range=0;
      AvgRange=0;
        for(counter=i ;counter<=i+9;counter++) 
        {
         AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
        }
      Range=AvgRange/10;
//----

      double close    = iMA(NULL, 0, period, 0, ma_method, 0, i);
      double open     = iMA(NULL, 0, period, 0, ma_method, 1, i);
      double weighted = iMA(NULL, 0, period, 0, ma_method, 6, i);
          
      
      double close_2    = iMA(NULL, 0, period, 0, ma_method, 0, i+1);
      double open_2     = iMA(NULL, 0, period, 0, ma_method, 1, i+1);
      double weighted_2 = iMA(NULL, 0, period, 0, ma_method, 6, i+1);
      
      //----
      
      
      double X = ((weighted - open) + (close - weighted))*1000;
      double Y = (close - weighted)*1000;

           
      double X_2 = ((weighted_2 - open_2) + (close_2 - weighted_2))*1000;
      double Y_2 = (close_2 - weighted_2)*1000;


//----
       if ((X > 0) &&(X_2 < 0))
        {
         CrossUp[i]=Low[i] - Range*0.5;
        }
        else  if ((X < 0) &&(X_2 > 0))
        {
         CrossDown[i]=High[i] + Range*0.5;
        }
     }
   return(0);
  }
//+------------------------------------------------------------------+